package cn.com.tenlion.materialstore.pojo.vos.materiallink;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MaterialLinkVO
 * @Description: 链接素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 10:54:44
 * @Version: 3.0
 **/
@ApiModel
public class MaterialLinkVO {

    @ApiModelProperty(name = "materialLinkPath", value = "跳转路径")
    private String materialLinkPath;
    @ApiModelProperty(name = "materialLinkMode", value = "跳转方式")
    private String materialLinkMode;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;
    @ApiModelProperty(name = "materialOrder", value = "排序")
    @CheckNumberAnnotation(name = "排序")
    private Integer materialOrder;
    @ApiModelProperty(name = "materialRemark", value = "备注")
    private String materialRemark;

    public String getMaterialLinkPath() {
        return materialLinkPath == null ? "" : materialLinkPath.trim();
    }

    public void setMaterialLinkPath(String materialLinkPath) {
        this.materialLinkPath = materialLinkPath;
    }

    public String getMaterialLinkMode() {
        return materialLinkMode == null ? "" : materialLinkMode.trim();
    }

    public void setMaterialLinkMode(String materialLinkMode) {
        this.materialLinkMode = materialLinkMode;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }


}
